<!doctype html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="icon" href="/docs/4.0/assets/img/favicons/favicon.ico">

    <title>Pricing example for Bootstrap</title>

    <link rel="canonical" href="https://getbootstrap.com/docs/4.0/examples/pricing/">

    <!--Bootstrap-->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-T3c6CoIi6uLrA9TneNEoa7RxnatzjcDSCmG1MXxSR1GAsXEV/Dwwykc2MPK8M2HN" crossorigin="anonymous">



    <!-- Bootstrap core CSS -->
    <link href="../../dist/css/bootstrap.min.css" rel="stylesheet">

    <!-- Custom styles for this template -->
    <link href="pricing.css" rel="stylesheet">

    <!-- JAVASCRIPT -->
    <script src="app.js"></script>

</head>

<body>

    <!--Bootstrap JS-->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-C6RzsynM9kWDrMNeT87bh95OGNyZPhcTNXj1NW7RuBCsyN/o0jlpcV8Qyq46cDfL"
        crossorigin="anonymous"></script>

    <div class="d-flex flex-column flex-md-row align-items-center p-3 px-md-4 mb-3 bg-white border-bottom box-shadow">
        <h5 class="my-0 mr-md-auto font-weight-normal">Company name</h5>
        <nav class="my-2 my-md-0 mr-md-3">
            <a class="p-2 text-dark" href="#">Features</a>
            <a class="p-2 text-dark" href="#">Enterprise</a>
            <a class="p-2 text-dark" href="#">Support</a>
            <a class="p-2 text-dark" href="#">Pricing</a>
        </nav>
        <a class="btn btn-outline-primary" href="#">Sign up</a>
    </div>

    <div class="pricing-header px-3 py-3 pt-md-5 pb-md-4 mx-auto text-center">
        <h1 class="display-4">Pricing</h1>
        <p class="lead">Quickly build an effective pricing table for your potential customers with this Bootstrap
            example. It's built with default Bootstrap components and utilities with little customization.</p>
    </div>

    <div class="container">
        <div class="card-deck mb-3 text-center">
            <div class="card mb-4 box-shadow" id="div1">
                <div class="card-header">
                    <h4 class="my-0 font-weight-normal">Free</h4>
                </div>
                <div class="card-body">
                    <h1 class="card-title pricing-card-title">$0 <small class="text-muted">/ mo</small></h1>
                    <ul class="list-unstyled mt-3 mb-4">
                        <li>10 users included</li>
                        <li>2 GB of storage</li>
                        <li>Email support</li>
                        <li>Help center access</li>
                    </ul>
                    <button type="button" class="btn btn-lg btn-block btn-outline-primary" data-bs-toggle="modal"
                        data-bs-target="#exampleModal">Sign up for free</button>
                </div>
            </div>
            <div class="card mb-4 box-shadow" id="div2">
                <div class="card-header">
                    <h4 class="my-0 font-weight-normal">Pro</h4>
                </div>
                <div class="card-body">
                    <h1 class="card-title pricing-card-title">$15 <small class="text-muted">/ mo</small></h1>
                    <ul class="list-unstyled mt-3 mb-4">
                        <li>20 users included</li>
                        <li>10 GB of storage</li>
                        <li>Priority email support</li>
                        <li>Help center access</li>
                    </ul>
                    <button type="button" class="btn btn-lg btn-block btn-primary" data-bs-toggle="modal"
                        data-bs-target="#exampleModal">Get started</button>
                </div>
            </div>
            <div class="card mb-4 box-shadow" id="div3">
                <div class="card-header">
                    <h4 class="my-0 font-weight-normal">Enterprise</h4>
                </div>
                <div class="card-body">
                    <h1 class="card-title pricing-card-title">$29 <small class="text-muted">/ mo</small></h1>
                    <ul class="list-unstyled mt-3 mb-4">
                        <li>30 users included</li>
                        <li>15 GB of storage</li>
                        <li>Phone and email support</li>
                        <li>Help center access</li>
                    </ul>
                    <button type="button" class="btn btn-lg btn-block btn-primary" data-bs-toggle="modal"
                        data-bs-target="#exampleModal">Contact us</button>
                </div>
            </div>
        </div>
        
        <!--Slider price range-->
        <div class="box">
            <h5>Select number of users for choose your plan</h5>
            <br>
            <div class="range-container">
                <div class="field">
                    <div class="value left">0</div>
                    <input type="range" id="range" max="30" min="1" onchange="showVal(this.value)">
                    <label for="range">15</label>
                    <div class="value right">30</div>
                </div>
            </div>
        </div>
        <script>
            const range = document.getElementById('range');
            range.addEventListener('input', (e) => {
                // Get the label (which is the nextElementSibling)
                const label = e.target.nextElementSibling;
                // Get value of the input
                const value = +e.target.value;
                // Get the width value of the input
                const range_width = getComputedStyle(e.target).getPropertyValue('width');
                // Get the width value of the label
                const label_width = getComputedStyle(label).getPropertyValue('width');
                // Remove 'px' and conver to number
                const num_width = +range_width.substring(0, range_width.length - 2);
                const num_label_width = +label_width.substring(0, label_width.length - 2);
                // Get min and max values
                const max = +e.target.max;
                const min = +e.target.min;
                // Calculate the left value
                const left = value * (num_width / max) - num_label_width / 2 + scale(value, min, max, 10, -10);

                label.style.left = `${left}px`;
                label.innerHTML = value;
            });
            const scale = (num, in_min, in_max, out_min, out_max) => {
                return (num - in_min) * (out_max - out_min) / (in_max - in_min) + out_min;
            }

            function showVal(value) {
                if(value <= 10){
                    var inputText = document.getElementById('div1');
                inputText.setAttribute("style", "background-color: #FFFF80");
                var inputText = document.getElementById('div2');
                inputText.setAttribute("style", "background-color: white");
                var inputText = document.getElementById('div3');
                inputText.setAttribute("style", "background-color: white");
                } else if(value > 10 && value <= 20){
                    var inputText = document.getElementById('div1');
                inputText.setAttribute("style", "background-color: white");
                var inputText = document.getElementById('div2');
                inputText.setAttribute("style", "background-color: #FFFF80");
                var inputText = document.getElementById('div3');
                inputText.setAttribute("style", "background-color: white");
                } else if(value > 20 && value <= 30){
                    var inputText = document.getElementById('div1');
                inputText.setAttribute("style", "background-color: white");
                var inputText = document.getElementById('div2');
                inputText.setAttribute("style", "background-color: white");
                var inputText = document.getElementById('div3');
                inputText.setAttribute("style", "background-color: #FFFF80");
                }
            }
        </script>

        <footer class="pt-4 my-md-5 pt-md-5 border-top">
            <div class="row">
                <div class="col-12 col-md">
                    <img class="mb-2" src="https://getbootstrap.com/docs/4.0/assets/brand/bootstrap-solid.svg" alt=""
                        width="24" height="24">
                    <small class="d-block mb-3 text-muted">&copy; 2017-2018</small>
                </div>
                <div class="col-6 col-md">
                    <h5>Features</h5>
                    <ul class="list-unstyled text-small">
                        <li><a class="text-muted" href="#">Cool stuff</a></li>
                        <li><a class="text-muted" href="#">Random feature</a></li>
                        <li><a class="text-muted" href="#">Team feature</a></li>
                        <li><a class="text-muted" href="#">Stuff for developers</a></li>
                        <li><a class="text-muted" href="#">Another one</a></li>
                        <li><a class="text-muted" href="#">Last time</a></li>
                    </ul>
                </div>
                <div class="col-6 col-md">
                    <h5>Resources</h5>
                    <ul class="list-unstyled text-small">
                        <li><a class="text-muted" href="#">Resource</a></li>
                        <li><a class="text-muted" href="#">Resource name</a></li>
                        <li><a class="text-muted" href="#">Another resource</a></li>
                        <li><a class="text-muted" href="#">Final resource</a></li>
                    </ul>
                </div>
                <div class="col-6 col-md">
                    <h5>About</h5>
                    <ul class="list-unstyled text-small">
                        <li><a class="text-muted" href="#">Team</a></li>
                        <li><a class="text-muted" href="#">Locations</a></li>
                        <li><a class="text-muted" href="#">Privacy</a></li>
                        <li><a class="text-muted" href="#">Terms</a></li>
                    </ul>
                </div>
            </div>
        </footer>
    </div>

    <!-- Modal -->
    <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="container pt-4">
                    <div class="row">
                        <div class="col-12 px-4">
                            <h1>Order Form</h1>
                            <hr class="mt-1" />
                        </div>
                        <form class="form-control" action="https://forms.maakeetoo.com/formapi/1015" method="POST" role="form" id="newModalForm">
                            <div class="col-12">
                                <div class="row mx-4">
                                    <div class="col-12">
                                        <label class="order-form-label">Name</label>
                                    </div>
                                    <div class="col-sm-6">
                                        <div class="form-outline">
                                            <label class="form-label" for="form1">First name</label>
                                            <input type="text" id="firstname" name="firstname" max="20"
                                                class="form-control order-form-input" />
                                        </div>
                                    </div>
                                    <div class="col-sm-6 mt-2 mt-sm-0">
                                        <div class="form-outline">
                                            <label class="form-label" for="form2">Last name</label>
                                            <input type="text" id="lastname" name="lastname"
                                                class="form-control order-form-input" />
                                        </div>
                                    </div>
                                </div>

                                <div class="row mt-3 mx-4">
                                    <div class="col-12">
                                        <label class="order-form-label">Email</label>
                                    </div>
                                    <div class="col-12">
                                        <div class="form-outline">
                                            <input type="email" id="email" name="email"
                                                class="form-control order-form-input" />
                                        </div>
                                    </div>
                                </div>

                                <div class="row mt-3 mx-4">
                                    <div class="col-12">
                                        <label class="order-form-label">Address</label>
                                    </div>
                                    <div class="col-12">
                                        <div class="form-outline">
                                            <label class="form-label" for="form5">Street Address</label>
                                            <input type="text" id="address" name="address"
                                                class="form-control order-form-input" />
                                        </div>
                                    </div>
                                    <div class="col-sm-6 mt-2 pe-sm-2">
                                        <div class="form-outline">
                                            <label class="form-label" for="form7">City</label>
                                            <input type="text" id="city" name="city"
                                                class="form-control order-form-input" />
                                        </div>
                                    </div>
                                    <div class="col-sm-6 mt-2 ps-sm-0">
                                        <div class="form-outline">
                                            <label class="form-label" for="form8">State</label>
                                            <input type="text" id="state" name="state"
                                                class="form-control order-form-input" />
                                        </div>
                                    </div>
                                    <div class="col-sm-6 mt-2 pe-sm-2">
                                        <div class="form-outline">
                                            <label class="form-label" for="form9">Postal / Zip Code</label>
                                            <input type="text" id="form9" class="form-control order-form-input" />
                                        </div>
                                    </div>
                                    <div class="col-sm-6 mt-2 ps-sm-0">
                                        <div class="form-outline">
                                            <label class="form-label" for="form10">Country</label>
                                            <input type="text" id="country" name="country" class="form-control order-form-input" />
                                        </div>
                                    </div>
                                </div>

                                <div class="row mt-3 mx-4">
                                    <div class="col-12">
                                        <label class="order-form-label">Message</label>
                                    </div>
                                    <div class="col-12">
                                        <div class="form-outline">
                                            <input type="textarea" id="message" name="message"
                                                class="form-control order-form-input" />
                                        </div>
                                    </div>
                                </div>

                                <div class="row mt-3 mx-4">
                                    <div class="col-12">
                                        <div class="form-check">
                                            <input class="form-check-input" type="checkbox" value=""
                                                id="flexCheckDefault" />
                                            <label for="checkbox"> I agree to these <a href="#">Terms and
                                                    Conditions</a>.</label>
                                        </div>
                                    </div>
                                </div>

                                <div class="modal-footer">
                                    <div class="col-md-12 text-center">
                                        <button type="button" class="btn btn-secondary"
                                            data-bs-dismiss="modal">Cancel</button>
                                        <button type="submit" id="submit" class="btn btn-primary btn-submit">Submit</button>
                                        <p id="result"></p>
                                    </div>
                                    <input type="hidden" value="GKT2QDZIN07IZED1APZAT1AIW" name="Code" id="Code">
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js"
        integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN"
        crossorigin="anonymous"></script>
    <script>
        window.jQuery || document.write('<script src="../../assets/js/vendor/jquery-slim.min.js"><\/script>')
    </script>
    <script src="../../assets/js/vendor/popper.min.js"></script>
    <script src="../../dist/js/bootstrap.min.js"></script>
    <script src="../../assets/js/vendor/holder.min.js"></script>
    <script>
        Holder.addTheme('thumb', {
            bg: '#55595c',
            fg: '#eceeef',
            text: 'Thumbnail'
        });
    </script>
</body>

</html>